=== debian/changelog ===
libsdl2-image (2.0.5) UNRELEASED; urgency=low

  * Updated to version 2.0.5

 -- Sam Lantinga <slouken@libsdl.org>  Wed, 19 Jun 2019 08:28:56 -0800

libsdl2-image (2.0.4) UNRELEASED; urgency=low

  * Updated to version 2.0.4

 -- Sam Lantinga <slouken@libsdl.org>  Fri, 26 Oct 2018 10:01:54 -0800

libsdl2-image (2.0.3) UNRELEASED; urgency=low

  * Updated to version 2.0.3

 -- Sam Lantinga <slouken@libsdl.org>  Sun, 28 Jan 2018 21:31:07 -0800

libsdl2-image (2.0.2) UNRELEASED; urgency=low

  * Updated to version 2.0.2

 -- Sam Lantinga <slouken@libsdl.org>  Sun, 22 Oct 2017 13:38:34 -0800

libsdl2-image (2.0.1) UNRELEASED; urgency=low

  * Updated to version 2.0.1

 -- Sam Lantinga <slouken@libsdl.org>  Thu, 07 Jan 2016 12:02:13 -0800

libsdl2-image (2.0.0) unstable; urgency=low

  * Updated library version to 2.0 for consistency with SDL 2.0

 -- Sam Lantinga <slouken@libsdl.org>  Tue, 26 Feb 2013 15:48:41 -0800

libsdl2-image (1.2.12) unstable; urgency=low

  * sdl-image for SDL2. Initial release.

 -- Sam Lantinga <slouken@libsdl.org>  Fri, 15 Feb 2013 13:09:44 -0800

sdl-image1.2 (1.2.10-3) unstable; urgency=low

  [ Felix Geyer ]
  * Drop ancient Conflicts.
  * Wrap (Build-)Depends in debian/control.
  * Switch to dh(1) debian/rules.
  * Enable parallel building.
  * Drop .la file.
  * Drop local dpkg-shlibdeps overrides.
  * Remove all patches since they were disabled anyway.
  * Switch to source format 3.0 (quilt).
  * Update to Standards-Version 3.9.2, no further changes necessary.
  * Switch to debhelper compat level v9.
    - Exports build flags.
    - Build for multiarch. (Closes: #651006)
  * Override lintian warning package-name-doesnt-match-sonames.
  * Fix building with libpng 1.5. (Closes: #636007)
    - Add libpng15.diff.
    - (Build-)Depend on libpng-dev instead of libpng12-dev.
  * Add myself as uploader.
  * Update Vcs control fields to the new git repository.
  * Improve copyright file.

  [ Dominique Dumont ]
  * control: allowed DM uploads. Set dev pkg to multi-arch: same
  * copyright: converted to DEP-5 debian/copyright
  * source: override package-needs-versioned-debhelper-build-depends
    warning

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 01 Dec 2011 13:11:22 +0100

sdl-image1.2 (1.2.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #619536).
  * Fix configure flags (Closes: #591190).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 17:58:00 +0200

sdl-image1.2 (1.2.10-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add myself to uploaders.
  * Bump shlibs (Closes: #563452).
  * (Build-)Depends on libjpeg-dev instead of libjpeg62-dev
    (Closes: #569241).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 11 Feb 2010 15:12:43 +0100

sdl-image1.2 (1.2.10-1) unstable; urgency=low

  [ Barry deFreese ]
  * Have SDL Team take over maintenance.
    + With permission from Michael Koch.
    + Thanks to Michael for all of his previous work.
  * Add myself to uploaders.
  * Add VCS tags.
  * New upstream release.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 16 Nov 2009 14:30:11 -0500

sdl-image1.2 (1.2.8-1) unstable; urgency=low

  * New upstream release.
    - adds pkg-config support (Closes: #515123)

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Oct 2009 23:09:13 +0200

sdl-image1.2 (1.2.7-2) unstable; urgency=low

  * debian/control:
    - Added ${misc:Depends} to all Depends.
    - Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 31 Aug 2009 08:17:06 +0200

sdl-image1.2 (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build-Depends on debhelper (>= 5).
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/control: Add Homepage field.
  * debian/watch: Updated watch file for easier upstream updates.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 21:08:48 +0200

sdl-image1.2 (1.2.6-3) unstable; urgency=low

  * CVE-2008-0544: Fix heap based buffer overflow.
  * Force library to link libjpeg and libtif and not dlopen them during
    runtime.

 -- Michael Koch <konqueror@gmx.de>  Tue, 05 Feb 2008 23:10:31 +0100

sdl-image1.2 (1.2.6-2) unstable; urgency=high

  * Fixed buffer overflow when reading GIFs. CVE pending.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Sun, 27 Jan 2008 23:44:23 +0100

sdl-image1.2 (1.2.6-1) unstable; urgency=low

  * New upstream release. Closes: #437005.
  * Replaced obsolete ${Source-Version}.
  * Handle errors better in clean target.

 -- Michael Koch <konqueror@gmx.de>  Sat, 11 Aug 2007 16:42:46 +0200

sdl-image1.2 (1.2.5-3) unstable; urgency=low

  * Updated config.guess and config.sub (Closes: #401526).

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 Jan 2007 08:38:19 +0100

sdl-image1.2 (1.2.5-2) unstable; urgency=low

  * Added patch to make SDL_image 1.2 less segfault. Thanks to Margarita
    Manterola for the patch (Closes: #378173).

 -- Michael Koch <konqueror@gmx.de>  Sat, 22 Jul 2006 04:30:39 +0000

sdl-image1.2 (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Updated Build-Depends and Depends to SDL 1.2.10
  * Updated minimum shlibs version to 1.2.5
  * Updated Standards-Version to 3.7.2
  * Simplified watch file
  * Fixed address of FSF in debian/copyright

 -- Michael Koch <konqueror@gmx.de>  Fri,  9 Jun 2006 07:21:47 +0000

sdl-image1.2 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Fixed header for license text (Closes: #290199)
  * Updated config.guess and config.sub (Closes: #267493)
  * debian/rules: Use dh_installman instead of dh_installmanpages

 -- Michael Koch <konqueror@gmx.de>  Wed, 23 Feb 2005 10:44:58 +0000

sdl-image1.2 (1.2.3-6) unstable; urgency=low

  * Fixed download URL in debian/copyright
  * Added debian/watch
  * Add -ltiff before -ljpeg. Added debian/patches/bug267169.diff for this
    (Closes: #267169)

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 Nov 2004 18:24:14 +0000


