=== debian/rules ===
#!/usr/bin/make -f

confflags =

# These flags can be used to create a package directly linking with external libraries and having the appropriate package dependencies
#confflags += --disable-jpg-shared
#confflags += --disable-png-shared
#confflags += --disable-tif-shared
#confflags += --disable-webp-shared

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_installchangelogs:
	dh_auto_installchangelogs -- CHANGES

override_dh_compress:
	dh_compress -Xshowimage.c
